cudnn_frontend::ConvDesc_v8
cudnn_frontend::BackendDescriptor
cudnn_frontend_ConvDesc.h
friend class friend class ConvDescBuilder_v8 ConvDescBuilder_v8 cudnn_frontend::ConvDescBuilder_v8::build
cudnnDataType_t cudnnDataType_t cudnn_frontend::ConvDesc_v8::compute_precision compute_precision = CUDNN_DATA_FLOAT describe getComputePrecision
cudnnConvolutionMode_t cudnnConvolutionMode_t cudnn_frontend::ConvDesc_v8::mode mode = CUDNN_CONVOLUTION

Convolution operation data type.

describe
getMathMode
int64_t int64_t cudnn_frontend::ConvDesc_v8::nDims nDims = -1

Convolution vs cross correlation.

describe
getDimensionCount
int64_t int64_t cudnn_frontend::ConvDesc_v8::padLower[CUDNN_DIM_MAX+1] [CUDNN_DIM_MAX+1] padLower = {0}

number of dimensions

describe
getPadding
int64_t int64_t cudnn_frontend::ConvDesc_v8::padUpper[CUDNN_DIM_MAX+1] [CUDNN_DIM_MAX+1] padUpper = {0}

d, h, w

describe
int64_t int64_t cudnn_frontend::ConvDesc_v8::dilation[CUDNN_DIM_MAX+1] [CUDNN_DIM_MAX+1] dilation = {0}

d, h, w

describe
getDilation
cudnn_frontend::ConvDescBuilder_v8::setDilation
int64_t int64_t cudnn_frontend::ConvDesc_v8::stride[CUDNN_DIM_MAX+1] [CUDNN_DIM_MAX+1] stride = {-1}

d, h, w

describe
getStride
std::string std::string cudnn_frontend::ConvDesc_v8::describe () const override describe describe

Return a string describing the backend Descriptor.

compute_precision
ConvDesc_v8
dilation
mode
nDims
operator=
padLower
padUpper
stride
cudnn_frontend::to_string
nlohmann::to_string
~ConvDesc_v8
cudnn_frontend::ConvDesc_v8::ConvDesc_v8
(ConvDesc_v8 &&from)=default
ConvDesc_v8
ConvDesc_v8 && from
ConvDesc_v8 & ConvDesc_v8& cudnn_frontend::ConvDesc_v8::operator= (ConvDesc_v8 &&)=default operator= ConvDesc_v8 && cudnn_frontend::ConvDescBuilder_v8::build describe getMathMode
cudnn_frontend::ConvDesc_v8::~ConvDesc_v8
()=default
~ConvDesc_v8
describe
cudnnDataType_t cudnnDataType_t cudnn_frontend::ConvDesc_v8::getComputePrecision () const getComputePrecision compute_precision
int64_t int64_t cudnn_frontend::ConvDesc_v8::getDimensionCount () const getDimensionCount nDims cudnn_frontend::cudnnReorderFilterAndBiasInt8x32
int64_t const * int64_t const* cudnn_frontend::ConvDesc_v8::getPadding () const getPadding padLower
int64_t const * int64_t const* cudnn_frontend::ConvDesc_v8::getStride () const getStride stride
int64_t const * int64_t const* cudnn_frontend::ConvDesc_v8::getDilation () const getDilation dilation
cudnnConvolutionMode_t cudnnConvolutionMode_t cudnn_frontend::ConvDesc_v8::getMathMode () const getMathMode ConvDesc_v8 mode operator=
cudnn_frontend::ConvDesc_v8::ConvDesc_v8
()=default
ConvDesc_v8
describe
getMathMode
cudnn_frontend::ConvDesc_v8::ConvDesc_v8
(ConvDesc_v8 const &)=delete
ConvDesc_v8
ConvDesc_v8 const &
ConvDesc_v8 & ConvDesc_v8& cudnn_frontend::ConvDesc_v8::operator= (ConvDesc_v8 const &)=delete operator= ConvDesc_v8 const &

Convolution Descriptor Class This class tells the properties of the Convolution operation Properties:

- padLower

- padUpper

- Dilation

- Stride

- Math Operation Data Type

- Convolution Mode

- Convolution spatial dimensions

Use ConvDescBuilder_v8 to build this class. Describe returns a string describing the convolution operation

cudnn_frontend::ConvDesc_v8
cudnn_frontend::BackendDescriptor
shared_ptr< OpaqueBackendPointer >
cudnnConvolutionMode_t
cudnn_frontend::ConvDesc_v8
-padUpper
-nDims
-stride
-dilation
-padLower
-mode
-compute_precision
cudnnStatus_t
std::basic_string< char >
cudnnDataType_t
int64_t
cudnn_frontend::BackendDescriptor
#err_msg
#pointer
#status
std::string
- cudnn_frontend::ConvDesc_v8
  BackendDescriptor
- cudnn_frontend::ConvDesc_v8
  BackendDescriptor
- cudnn_frontend::ConvDesc_v8
  compute_precision
- cudnn_frontend::ConvDesc_v8
  ConvDesc_v8
- cudnn_frontend::ConvDesc_v8
  ConvDesc_v8
- cudnn_frontend::ConvDesc_v8
  ConvDesc_v8
- cudnn_frontend::ConvDesc_v8
  ConvDescBuilder_v8
- cudnn_frontend::ConvDesc_v8
  describe
- cudnn_frontend::ConvDesc_v8
  dilation
- cudnn_frontend::ConvDesc_v8
  err_msg
- cudnn_frontend::ConvDesc_v8
  get_desc
- cudnn_frontend::ConvDesc_v8
  get_error
- cudnn_frontend::ConvDesc_v8
  get_raw_desc
- cudnn_frontend::ConvDesc_v8
  get_status
- cudnn_frontend::ConvDesc_v8
  getComputePrecision
- cudnn_frontend::ConvDesc_v8
  getDilation
- cudnn_frontend::ConvDesc_v8
  getDimensionCount
- cudnn_frontend::ConvDesc_v8
  getMathMode
- cudnn_frontend::ConvDesc_v8
  getPadding
- cudnn_frontend::ConvDesc_v8
  getStride
- cudnn_frontend::ConvDesc_v8
  initialize_managed_backend_pointer
- cudnn_frontend::ConvDesc_v8
  mode
- cudnn_frontend::ConvDesc_v8
  nDims
- cudnn_frontend::ConvDesc_v8
  operator=
- cudnn_frontend::ConvDesc_v8
  operator=
- cudnn_frontend::ConvDesc_v8
  padLower
- cudnn_frontend::ConvDesc_v8
  padUpper
- cudnn_frontend::ConvDesc_v8
  pointer
- cudnn_frontend::ConvDesc_v8
  set_error
- cudnn_frontend::ConvDesc_v8
  set_status
- cudnn_frontend::ConvDesc_v8
  status
- cudnn_frontend::ConvDesc_v8
  stride
- cudnn_frontend::ConvDesc_v8
  ~ConvDesc_v8